Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group9.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/group9.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group9.dot
@@ -24,9 +24,15 @@
 "foo_stop_0" [ style=bold color="green" fontcolor="orange" ]
 "foo_stopped_0" -> "foo_start_0" [ style = bold]
 "foo_stopped_0" [ style=bold color="green" fontcolor="orange" ]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc3_monitor_0 node2" -> "all_stopped" [ style = bold]
+"rsc3_monitor_0 node2" -> "foo_stopped_0" [ style = bold]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc4_monitor_0 node2" -> "all_stopped" [ style = bold]
+"rsc4_monitor_0 node2" -> "foo_stopped_0" [ style = bold]
 "rsc4_monitor_0 node2" -> "rsc4_start_0 node1" [ style = bold]
 "rsc4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_start_0 node1" -> "foo_running_0" [ style = bold]
@@ -36,6 +42,9 @@
 "rsc4_stop_0 node1" -> "foo_stopped_0" [ style = bold]
 "rsc4_stop_0 node1" -> "rsc4_start_0 node1" [ style = bold]
 "rsc4_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc5_monitor_0 node2" -> "all_stopped" [ style = bold]
+"rsc5_monitor_0 node2" -> "foo_stopped_0" [ style = bold]
+"rsc5_monitor_0 node2" -> "rsc4_stop_0 node1" [ style = bold]
 "rsc5_monitor_0 node2" -> "rsc5_start_0 node1" [ style = bold]
 "rsc5_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc5_start_0 node1" -> "foo_running_0" [ style = bold]
@@ -45,6 +54,8 @@
 "rsc5_stop_0 node1" -> "rsc4_stop_0 node1" [ style = bold]
 "rsc5_stop_0 node1" -> "rsc5_start_0 node1" [ style = bold]
 "rsc5_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc6_monitor_0 node2" -> "all_stopped" [ style = bold]
+"rsc6_monitor_0 node2" -> "bar_stopped_0" [ style = bold]
 "rsc6_monitor_0 node2" -> "rsc6_start_0 node2" [ style = bold]
 "rsc6_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc6_start_0 node2" -> "bar_running_0" [ style = bold]
@@ -54,6 +65,9 @@
 "rsc6_stop_0 node1" -> "bar_stopped_0" [ style = bold]
 "rsc6_stop_0 node1" -> "rsc6_start_0 node2" [ style = bold]
 "rsc6_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc7_monitor_0 node2" -> "all_stopped" [ style = bold]
+"rsc7_monitor_0 node2" -> "bar_stopped_0" [ style = bold]
+"rsc7_monitor_0 node2" -> "rsc6_stop_0 node1" [ style = bold]
 "rsc7_monitor_0 node2" -> "rsc7_start_0 node2" [ style = bold]
 "rsc7_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc7_start_0 node2" -> "bar_running_0" [ style = bold]
@@ -64,6 +78,9 @@
 "rsc7_stop_0 node1" -> "rsc6_stop_0 node1" [ style = bold]
 "rsc7_stop_0 node1" -> "rsc7_start_0 node2" [ style = bold]
 "rsc7_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc8_monitor_0 node2" -> "all_stopped" [ style = bold]
+"rsc8_monitor_0 node2" -> "bar_stopped_0" [ style = bold]
+"rsc8_monitor_0 node2" -> "rsc7_stop_0 node1" [ style = bold]
 "rsc8_monitor_0 node2" -> "rsc8_start_0 node2" [ style = bold]
 "rsc8_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc8_start_0 node2" -> "bar_running_0" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group9.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/group9.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group9.exp
@@ -28,6 +28,15 @@
         <rsc_op id="1" operation="stop" operation_key="rsc4_stop_0" on_node="node1" on_node_uuid="node1"/>
       </trigger>
       <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="rsc4_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="rsc5_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="19" operation="stop" operation_key="rsc5_stop_0" on_node="node1" on_node_uuid="node1"/>
       </trigger>
       <trigger>
@@ -119,6 +128,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="rsc5_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="19" operation="stop" operation_key="rsc5_stop_0" on_node="node1" on_node_uuid="node1"/>
        </trigger>
        <trigger>
@@ -181,6 +193,15 @@
         <rsc_op id="2" operation="stop" operation_key="rsc7_stop_0" on_node="node1" on_node_uuid="node1"/>
        </trigger>
        <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc6_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="rsc7_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="rsc8_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="25" operation="stop" operation_key="rsc6_stop_0" on_node="node1" on_node_uuid="node1"/>
       </trigger>
       <trigger>
@@ -263,6 +284,9 @@
         <rsc_op id="2" operation="stop" operation_key="rsc7_stop_0" on_node="node1" on_node_uuid="node1"/>
        </trigger>
        <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="rsc7_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="32" operation="stop" operation_key="bar_stop_0"/>
        </trigger>
      </inputs>
@@ -316,6 +340,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="rsc8_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="28" operation="stop" operation_key="rsc8_stop_0" on_node="node1" on_node_uuid="node1"/>
        </trigger>
        <trigger>
@@ -381,6 +408,30 @@
         <rsc_op id="2" operation="stop" operation_key="rsc7_stop_0" on_node="node1" on_node_uuid="node1"/>
        </trigger>
        <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="rsc4_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="rsc5_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc6_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="rsc7_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="rsc8_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="19" operation="stop" operation_key="rsc5_stop_0" on_node="node1" on_node_uuid="node1"/>
        </trigger>
        <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc2.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/inc2.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc2.dot
@@ -1,10 +1,16 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"child_rsc1:0_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:0_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:0_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:1_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:1_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:2_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:2_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:2_start_0 node2" -> "rsc1_running_0" [ style = bold]
 "child_rsc1:2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -12,7 +18,9 @@
 "child_rsc1:2_stop_0 node1" -> "child_rsc1:2_start_0 node2" [ style = bold]
 "child_rsc1:2_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:3_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:3_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:3_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:3_start_0 node2" -> "rsc1_running_0" [ style = bold]
 "child_rsc1:3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -20,7 +28,9 @@
 "child_rsc1:3_stop_0 node1" -> "child_rsc1:3_start_0 node2" [ style = bold]
 "child_rsc1:3_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:3_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:4_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:4_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:4_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:4_stop_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc1:4_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc3.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/inc3.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc3.dot
@@ -1,10 +1,16 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"child_rsc1:0_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:0_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:0_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:1_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:1_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:2_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:2_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:2_start_0 node2" -> "rsc1_running_0" [ style = bold]
 "child_rsc1:2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -12,7 +18,9 @@
 "child_rsc1:2_stop_0 node1" -> "child_rsc1:2_start_0 node2" [ style = bold]
 "child_rsc1:2_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:3_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:3_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:3_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:3_start_0 node2" -> "rsc1_running_0" [ style = bold]
 "child_rsc1:3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -20,18 +28,28 @@
 "child_rsc1:3_stop_0 node1" -> "child_rsc1:3_start_0 node2" [ style = bold]
 "child_rsc1:3_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:3_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:4_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:4_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:4_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:4_stop_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc1:4_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:4_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:0_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc2:0_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
+"child_rsc2:0_monitor_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:0_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc2:1_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
+"child_rsc2:1_monitor_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:2_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc2:2_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
+"child_rsc2:2_monitor_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:3_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc2:3_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
+"child_rsc2:3_monitor_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:3_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:3_start_0 node1" -> "rsc2_running_0" [ style = bold]
 "child_rsc2:3_start_0 node1" [ style=bold color="green" fontcolor="black" ]
@@ -39,7 +57,9 @@
 "child_rsc2:3_stop_0 node2" -> "child_rsc2:3_start_0 node1" [ style = bold]
 "child_rsc2:3_stop_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:3_stop_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:4_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc2:4_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
+"child_rsc2:4_monitor_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:4_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:4_start_0 node1" -> "rsc2_running_0" [ style = bold]
 "child_rsc2:4_start_0 node1" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc4.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/inc4.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc4.dot
@@ -1,10 +1,16 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"child_rsc1:0_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:0_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:0_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:1_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:1_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:2_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:2_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:2_start_0 node2" -> "child_rsc1:3_start_0 node2" [ style = bold]
 "child_rsc1:2_start_0 node2" -> "rsc1_running_0" [ style = bold]
@@ -13,7 +19,10 @@
 "child_rsc1:2_stop_0 node1" -> "child_rsc1:2_start_0 node2" [ style = bold]
 "child_rsc1:2_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:3_monitor_0 node2" -> "all_stopped" [ style = bold]
+"child_rsc1:3_monitor_0 node2" -> "child_rsc1:2_stop_0 node1" [ style = bold]
 "child_rsc1:3_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:3_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:3_start_0 node2" -> "rsc1_running_0" [ style = bold]
 "child_rsc1:3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -22,19 +31,30 @@
 "child_rsc1:3_stop_0 node1" -> "child_rsc1:3_start_0 node2" [ style = bold]
 "child_rsc1:3_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:3_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:4_monitor_0 node2" -> "all_stopped" [ style = bold]
+"child_rsc1:4_monitor_0 node2" -> "child_rsc1:3_stop_0 node1" [ style = bold]
 "child_rsc1:4_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:4_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:4_stop_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc1:4_stop_0 node1" -> "child_rsc1:3_stop_0 node1" [ style = bold]
 "child_rsc1:4_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:4_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:0_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc2:0_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
+"child_rsc2:0_monitor_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:0_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc2:1_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
+"child_rsc2:1_monitor_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:2_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc2:2_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
+"child_rsc2:2_monitor_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:3_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc2:3_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
+"child_rsc2:3_monitor_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:3_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:3_start_0 node1" -> "child_rsc2:4_start_0 node1" [ style = bold]
 "child_rsc2:3_start_0 node1" -> "rsc2_running_0" [ style = bold]
@@ -43,7 +63,10 @@
 "child_rsc2:3_stop_0 node2" -> "child_rsc2:3_start_0 node1" [ style = bold]
 "child_rsc2:3_stop_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:3_stop_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:4_monitor_0 node1" -> "all_stopped" [ style = bold]
+"child_rsc2:4_monitor_0 node1" -> "child_rsc2:3_stop_0 node2" [ style = bold]
 "child_rsc2:4_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
+"child_rsc2:4_monitor_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:4_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:4_start_0 node1" -> "rsc2_running_0" [ style = bold]
 "child_rsc2:4_start_0 node1" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc5.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/inc5.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc5.dot
@@ -1,12 +1,20 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"child_rsc1:0_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc1:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:2_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc1:2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:0_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc2:0_monitor_0 node2" -> "rsc2_start_0" [ style = bold]
+"child_rsc2:0_monitor_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc2:1_monitor_0 node2" -> "rsc2_start_0" [ style = bold]
+"child_rsc2:1_monitor_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:1_start_0 node2" -> "rsc2_running_0" [ style = bold]
 "child_rsc2:1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -14,17 +22,29 @@
 "child_rsc2:1_stop_0 node1" -> "child_rsc2:1_start_0 node2" [ style = bold]
 "child_rsc2:1_stop_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:1_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:2_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc2:2_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
+"child_rsc2:2_monitor_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc2:2_monitor_0 node2" -> "rsc2_start_0" [ style = bold]
+"child_rsc2:2_monitor_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc3:0_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc3:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc3:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc3:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc3:2_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc3:2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc3:2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc3:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc4:0_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc4:0_monitor_0 node2" -> "rsc4_start_0" [ style = bold]
+"child_rsc4:0_monitor_0 node2" -> "rsc4_stopped_0" [ style = bold]
 "child_rsc4:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc4:1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc4:1_monitor_0 node2" -> "rsc4_start_0" [ style = bold]
+"child_rsc4:1_monitor_0 node2" -> "rsc4_stopped_0" [ style = bold]
 "child_rsc4:1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc4:1_start_0 node2" -> "rsc4_running_0" [ style = bold]
 "child_rsc4:1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -32,13 +52,21 @@
 "child_rsc4:1_stop_0 node1" -> "child_rsc4:1_start_0 node2" [ style = bold]
 "child_rsc4:1_stop_0 node1" -> "rsc4_stopped_0" [ style = bold]
 "child_rsc4:1_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc4:2_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc4:2_monitor_0 node1" -> "rsc4_start_0" [ style = bold]
+"child_rsc4:2_monitor_0 node1" -> "rsc4_stopped_0" [ style = bold]
 "child_rsc4:2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc4:2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc4:2_monitor_0 node2" -> "rsc4_start_0" [ style = bold]
+"child_rsc4:2_monitor_0 node2" -> "rsc4_stopped_0" [ style = bold]
 "child_rsc4:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc5:0_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc5:0_monitor_0 node1" -> "rsc5_start_0" [ style = bold]
+"child_rsc5:0_monitor_0 node1" -> "rsc5_stopped_0" [ style = bold]
 "child_rsc5:0_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc5:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc5:1_monitor_0 node1" -> "rsc5_start_0" [ style = bold]
+"child_rsc5:1_monitor_0 node1" -> "rsc5_stopped_0" [ style = bold]
 "child_rsc5:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc5:1_start_0 node1" -> "rsc5_running_0" [ style = bold]
 "child_rsc5:1_start_0 node1" [ style=bold color="green" fontcolor="black" ]
@@ -46,17 +74,29 @@
 "child_rsc5:1_stop_0 node2" -> "child_rsc5:1_start_0 node1" [ style = bold]
 "child_rsc5:1_stop_0 node2" -> "rsc5_stopped_0" [ style = bold]
 "child_rsc5:1_stop_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc5:2_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc5:2_monitor_0 node1" -> "rsc5_start_0" [ style = bold]
+"child_rsc5:2_monitor_0 node1" -> "rsc5_stopped_0" [ style = bold]
 "child_rsc5:2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc5:2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc5:2_monitor_0 node2" -> "rsc5_start_0" [ style = bold]
+"child_rsc5:2_monitor_0 node2" -> "rsc5_stopped_0" [ style = bold]
 "child_rsc5:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc6:0_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc6:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc6:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc6:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc6:2_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc6:2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc6:2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc6:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc7:0_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc7:0_monitor_0 node1" -> "rsc7_start_0" [ style = bold]
+"child_rsc7:0_monitor_0 node1" -> "rsc7_stopped_0" [ style = bold]
 "child_rsc7:0_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc7:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc7:1_monitor_0 node1" -> "rsc7_start_0" [ style = bold]
+"child_rsc7:1_monitor_0 node1" -> "rsc7_stopped_0" [ style = bold]
 "child_rsc7:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc7:1_start_0 node1" -> "rsc7_running_0" [ style = bold]
 "child_rsc7:1_start_0 node1" [ style=bold color="green" fontcolor="black" ]
@@ -64,13 +104,21 @@
 "child_rsc7:1_stop_0 node2" -> "child_rsc7:1_start_0 node1" [ style = bold]
 "child_rsc7:1_stop_0 node2" -> "rsc7_stopped_0" [ style = bold]
 "child_rsc7:1_stop_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc7:2_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc7:2_monitor_0 node1" -> "rsc7_start_0" [ style = bold]
+"child_rsc7:2_monitor_0 node1" -> "rsc7_stopped_0" [ style = bold]
 "child_rsc7:2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc7:2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc7:2_monitor_0 node2" -> "rsc7_start_0" [ style = bold]
+"child_rsc7:2_monitor_0 node2" -> "rsc7_stopped_0" [ style = bold]
 "child_rsc7:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc8:0_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc8:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc8:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc8:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc8:2_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc8:2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc8:2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc8:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_running_0" [ style=bold color="green" fontcolor="orange" ]
 "rsc2_start_0" -> "child_rsc2:1_start_0 node2" [ style = bold]
